Package com.saxonica.ee.stream.feed

## Class SinkFeed

- java.lang.Object
- - net.sf.saxon.event.Outputter
  - - net.sf.saxon.event.ProxyOutputter
    - - com.saxonica.ee.stream.feed.ItemFeed
      - - com.saxonica.ee.stream.feed.SinkFeed

- All Implemented Interfaces:
    `javax.xml.transform.Result`, `Receiver`

      public class SinkFeed
      extends ItemFeed

  An ItemFeed that swallows (discards) all input passed to it

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.event.Outputter

      `pipelineConfiguration, systemId`

    - ### Fields inherited from interface javax.xml.transform.Result

      `PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SinkFeed​(XPathContext context)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `append​(Item item)` | Supply one item towards the streamed input of the expression
    `boolean` | `handlesAppend()` | Ask whether this Receiver can handle arbitrary items in its `Receiver.append(net.sf.saxon.om.Item, net.sf.saxon.s9api.Location, int)` and `Receiver.append(Item, Location, int)` methods.
    `void` | `open​(Terminator terminator)` | Start evaluating the expression.

    - ### Methods inherited from class com.saxonica.ee.stream.feed.ItemFeed

      `append, close, dynamicError, endSelectedParentNode, getContext, getExpression, getResult, getTerminator, hasFailed, processItems, setExpression, setHasFailed, setTerminator, startSelectedParentNode`

    - ### Methods inherited from class net.sf.saxon.event.ProxyOutputter

      `attribute, characters, comment, endDocument, endElement, getNextOutputter, namespace, open, processingInstruction, setLocation, setUnparsedEntity, startContent, startDocument, startElement, startElement, usesTypeAnnotations`

    - ### Methods inherited from class net.sf.saxon.event.Outputter

      `getConfiguration, getPipelineConfiguration, getStringReceiver, getSystemId, namespaces, setPipelineConfiguration, setSystemId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SinkFeed

          public SinkFeed​(XPathContext context)

  - ### Method Detail

    - #### open

          public void open​(Terminator terminator)
                    throws XPathException

      Description copied from class: `ItemFeed`
      Start evaluating the expression. The default implementation does nothing.
      Overrides:
        `open` in class `ItemFeed`
      Parameters:
        `terminator` - used to achieve early exit
      Throws:
        `XPathException` - if a dynamic error occurs

    - #### append

          public void append​(Item item)
                      throws XPathException

      Description copied from class: `ItemFeed`
      Supply one item towards the streamed input of the expression
      Specified by:
        `append` in interface `Receiver`
      Specified by:
        `append` in class `ItemFeed`
      Parameters:
        `item` - the item to be supplied
      Throws:
        `XPathException` - if the operation fails

    - #### handlesAppend

          public boolean handlesAppend()

      Description copied from interface: `Receiver`
      Ask whether this Receiver can handle arbitrary items in its `Receiver.append(net.sf.saxon.om.Item, net.sf.saxon.s9api.Location, int)` and `Receiver.append(Item, Location, int)` methods. If it cannot, then calling these methods will raise an exception (typically but not necessarily an `UnsupportedOperationException`). The default implementation of this method returns false.
      Returns:
        true if the Receiver is able to handle items supplied to its `Receiver.append(net.sf.saxon.om.Item, net.sf.saxon.s9api.Location, int)` and `Receiver.append(Item, Location, int)` methods. A receiver that returns true may still reject some kinds of item, for example it may reject function items.